Subject: Re: [siprec] [IANA #821860] Last Call: <draft-ietf-siprec-protocol-16.txt> (Session Recording Protocol) to Proposed Standard

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Mon, 18 May 2015 13:56:24 +0000

Hi Pearl,

Thank you for reviewing and providing your comments and questions. I have
indicated my proposed solutions inline and cc¹d the siprec working group
so others can validate and raise any concerns.

On 5/14/15, 5:43 PM, "Pearl Liang via RT" <[email-masked]> wrote:

>(BEGIN IANA LAST CALL COMMENTS)
>
>IESG/Authors/WG Chairs:
>
>IANA has reviewed draft-ietf-siprec-protocol-16.  Authors should review
>the comments and/or questions below.  Please report any inaccuracies and
>respond to any questions as soon as possible.
>
>We received the following comments/questions from the IANA's reviewer:
>
>IANA has a couple questions about some of the actions requested in the
>IANA Considerations section of this document.
>
>IANA understands that upon approval of this document, there are five
>actions which IANA must complete.
>
>First, in the Option Tags subregistry of the Session Initiation Protocol
>(SIP) Parameters registry located at:
>
>http://www.iana.org/assignments/sip-parameters/
>
>two new option tags will be added as follows:
>
>Name: siprec
>Description: This option tag is for identifying the SIP session is for
>the purpose of a recording session. This is typically not used in a
>Supported header. When present in a Require header in a request, it
>indicates that the UAS is either an SRC or SRS capable of handling a
>recording session.
>Reference: [ RFC-to-be ]
>
>Name: record-aware
>Description: This option tag is to indicate the ability for the user
>agent to receive recording indicators in media level or session level
>SDP. When present in a Supported header, it indicates that the UA can
>receive recording indicators in media level or session level SDP.
>Reference: [ RFC-to-be ]
>
>Second, in the iso.org.dod.internet.features.sip-tree (1.3.6.1.8.4)
>subregistry in the Media Feature Tags - iso.org.dod.internet.features
>(1.3.6.1.8) registry located at:
>
>http://www.iana.org/assignments/media-feature-tags/
>
>two new Media Feature Tags are to be registered as follows:
>
>Decimal: [ TBD-at-Registration ]
>Name: sip.src
>Description: This feature tag indicates that the user agent is a Session
>Recording Client for the purpose for Recording Session.
>Reference: [ RFC-to-be ]
>
>Decimal: [ TBD-at-Registration ]
>Name: sip.srs
>Description: This feature tag indicates that the user agent is a Session
>Recording Server for the purpose for Recording Session.
>Reference: [ RFC-to-be ]
>
>IANA notes that the authors suggest 25 and 26 for the Decimal values for
>these registrations.
>
>QUESTION: Both 25 and 26 have been assigned.  The authors should remove
>the values from section 11.2.  IANA suggested to use TBD place holder to
>avoid 
>this sort of conflicts.

I will replace with 25 and 26 each with ³[ TBD-at-Registration ]².

>
>Third, in the Content Disposition Parameters subregistry of the Content
>Disposition Values and Parameters registry located at:
>
>http://www.iana.org/assignments/cont-disp/
>
>a new content-disposition parameter is to be registered as followed:
>
>Name: recording-session
>Description: metadata about the recording session or reason for metadata
>snapshot request
>Reference: [ RFC-to-be ]
>
>Fourth, in the application subregistry of the Media Types registry
>located at:
>
>http://www.iana.org/assignments/media-types/
>
>a new media type will be registered as follows:
>
>Name: rs-metadata-request
>Template: [ TBD-at-registration ]
>Reference: [ RfC-to-be ]
>
>Fifth:
>
>IANA Question --> the next request to IANA requests that two new SDP
>attributes be registered but for the type says (for both) that the type
>should be "session or media level." Do the authors mean session AND media
>level, or do they mean something else?   As this document requests
>registrations in a Specification Required registry, the authors need to
>clarify the request before we can initiate the required Expert Review.
>Expert review will need to be completed before your document can be
>approved for publication as an RFC.

Please register these two new SDP attributes as both session level
attributes and as media level attributes.

>
>In a registry to be identified later (see IANA Question above), located
>at:
>
>http://www.iana.org/assignments/sdp-parameters/
>
>two new SDP Parameters are to be registered as follows:
>
>Type: record
>SDP Name: Recording Indication
>Reference: [ RFC-to-be ]
>
>Type: recordpref
>SDP Name: Recording Preference
>Reference: [ RFC-to-be ]
>
>IANA understands that these five actions are the only ones required to be
>completed upon approval of this document.
>
>Note:  The actions requested in this document will not be completed until
>the document has been approved for publication as an RFC. This message is
>only to confirm what actions will be performed.
>
>Please note that IANA cannot reserve specific values. However, early
>allocation is available for some types of registrations. For more
>information, please see RFC 7120.
>
>Thanks,
>
>Pearl Liang
>ICANN
>
>(END IANA LAST CALL COMMENTS)

Cheers,
Charles

>
>
>On Fri May 01 23:40:02 2015, [email-masked] wrote:
>> 
>> The IESG has received a request from the SIP Recording WG (siprec) to
>> consider the following document:
>> - 'Session Recording Protocol'
>>   <draft-ietf-siprec-protocol-16.txt> as Proposed Standard
>> 
>> The IESG plans to make a decision in the next few weeks, and solicits
>> final comments on this action. Please send substantive comments to the
>> [email-masked] mailing lists by 2015-05-15. Exceptionally, comments may
>>be
>> sent to [email-masked] instead. In either case, please retain the
>> beginning of the Subject line to allow automated sorting.
>> 
>> Abstract
>> 
>> 
>>    This document specifies the use of the Session Initiation Protocol
>>    (SIP), the Session Description Protocol (SDP), and the Real Time
>>    Protocol (RTP) for delivering real-time media and metadata from a
>>    Communication Session (CS) to a recording device.  The Session
>>    Recording Protocol specifies the use of SIP, SDP, and RTP to
>>    establish a Recording Session (RS) between the Session Recording
>>    Client (SRC), which is on the path of the CS, and a Session Recording
>>    Server (SRS) at the recording device.  This document considers only
>>    active recording, where the SRC purposefully streams media to an SRS
>>    and all participating user agents are notified of the recording.
>>    Passive recording, where a recording device detects media directly
>>    from the network (e.g., using port-mirroring techniques), is outside
>>    the scope of this document.  In addition, lawful intercept is outside
>>    the scope of this document.
>> 
>> 
>> 
>> 
>> The file can be obtained via
>> https://datatracker.ietf.org/doc/draft-ietf-siprec-protocol/
>> 
>> IESG discussion can be tracked via
>> https://datatracker.ietf.org/doc/draft-ietf-siprec-protocol/ballot/
>> 
>> 
>> The following IPR Declarations may be related to this I-D:
>> 
>>    https://datatracker.ietf.org/ipr/1912/
>> 
>> 
>> 
>
>

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Tue, 19 May 2015 10:08:29 +0000

Correct. Thanks.

Charles

On 5/18/15, 7:09 PM, "Pearl Liang via RT" <[email-masked]> wrote:

>On Mon May 18 13:56:50 2015, [email-masked] wrote:
>> Hi Pearl,
>> 
>So, both new attributes are used as both session AND media level.
>We will submit this to Expert Review.
>
>Thanks,
>~pl
>
>
>> >

---

From: "Pearl Liang via RT" <[email-masked]>
Date: Mon, 18 May 2015 18:09:42 +0000

Thanks,
~pl